GNU bug report logs - #60320
[PATCH] doc: Improve user-group documentation.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Simon Josefsson <simon@HIDDEN>; Keywords: patch wontfix; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 60320 <at> debbugs.gnu.org and Simon Josefsson <simon@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 60320 <at> debbugs.gnu.org:


Received: (at 60320) by debbugs.gnu.org; 26 Dec 2022 06:44:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 26 01:44:28 2022
Received: from localhost ([127.0.0.1]:50623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9hDn-0001Tf-NP
	for submit <at> debbugs.gnu.org; Mon, 26 Dec 2022 01:44:28 -0500
Received: from lepiller.eu ([89.234.186.109]:39062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1p9hDl-0001TU-5e
 for 60320 <at> debbugs.gnu.org; Mon, 26 Dec 2022 01:44:26 -0500
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id acbf10c8;
 Mon, 26 Dec 2022 06:44:22 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:subject:in-reply-to:references:message-id:mime-version
 :content-type:content-transfer-encoding; s=dkim; bh=EPu/5MhcisfW
 3PplSVjdhd3FVb/ll78S6asrbCMEOn0=; b=aAtdwze8XkSYQihFORLbk71ujJ8Q
 bpGaq4V1kUokwG+hN+rPw0NS2/JYqaQXeI1l89XjQF7bda7XnzUk4I8AVEawIE8J
 2JhrqdEmRKI3fbIlxvKOCmAeBPZHxNehGRMTkv2T7KPpXc8YYpBiCrBOHSREu9Ty
 4ZDiLDlc3iafQdm21wKtVgeDg+wgwq/+dXWvcGX/l15+gpXxL9F4fcgZygJSvYC8
 vhMfwxVKPJIysZIGOBSVP19Yc6yenrVt5cHkh2lL+OlcEjRtJC1iqvD38v+jRApZ
 xen6GG8DoSFs2riS/nPgHOVslCfFnL3gtugy84PdL3hCTbS7znx8vvU7Fg==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id e6c62042
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 26 Dec 2022 06:44:22 +0000 (UTC)
Date: Mon, 26 Dec 2022 07:43:46 +0100
From: Julien Lepiller <julien@HIDDEN>
To: Simon Josefsson <simon@HIDDEN>, 60320 <at> debbugs.gnu.org
Subject: Re: [bug#60320] [PATCH] doc: Improve user-group documentation.
User-Agent: K-9 Mail for Android
In-Reply-To: <871qonmbaz.fsf@HIDDEN>
References: <871qonmbaz.fsf@HIDDEN>
Message-ID: <A65F9A29-52FF-4510-A0D3-F02E501B971C@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary=----XNKCSNY3MCJZ3POR7PBZDFM4ZWQFZI
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60320
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------XNKCSNY3MCJZ3POR7PBZDFM4ZWQFZI
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

I think the group was created, but you probably forgot to add yourself to t=
hat new group=2E At least, what you show us looks correct, for adding a gro=
up to you os declaration=2E

Note your user-group example is unbalanced=2E The manual is a bit long to =
read, but it seems correct to me=2E

Le 25 d=C3=A9cembre 2022 22:19:00 GMT+01:00, Simon Josefsson via Guix-patc=
hes via <guix-patches@gnu=2Eorg> a =C3=A9crit=C2=A0:
>Hi=2E
>
>Not knowing better I added this to my operating-system form:
>
>  (groups (cons* (user-group
>                  (name "jas")
>                  (id "1000"))
>                %base-groups))
>
>Running 'guix system reconfigure /etc/config=2Escm' worked fine, and upon
>boot I was placed in group 30001=2E  Any idea what happened?  A warning
>would have been nice=2E
>
>If there had been an example in the manual I wouldn't have made the
>mistake, so the attached patch improves this manual page:
>https://guix=2Egnu=2Eorg/en/manual/en/html_node/User-Accounts=2Ehtml#User=
-Accounts
>
>/Simon

------XNKCSNY3MCJZ3POR7PBZDFM4ZWQFZI
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body>I think the group was created, but you probably fo=
rgot to add yourself to that new group=2E At least, what you show us looks =
correct, for adding a group to you os declaration=2E<br><br>Note your user-=
group example is unbalanced=2E The manual is a bit long to read, but it see=
ms correct to me=2E<br><br><div class=3D"gmail_quote">Le 25 d=C3=A9cembre 2=
022 22:19:00 GMT+01:00, Simon Josefsson via Guix-patches via &lt;guix-patch=
es@gnu=2Eorg&gt; a =C3=A9crit=C2=A0:<blockquote class=3D"gmail_quote" style=
=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 204);=
 padding-left: 1ex;">
<pre dir=3D"auto" class=3D"k9mail">Hi=2E<br><br>Not knowing better I added=
 this to my operating-system form:<br><br>  (groups (cons* (user-group<br> =
                 (name "jas")<br>                  (id "1000"))<br>        =
        %base-groups))<br><br>Running 'guix system reconfigure /etc/config=
=2Escm' worked fine, and upon<br>boot I was placed in group 30001=2E  Any i=
dea what happened?  A warning<br>would have been nice=2E<br><br>If there ha=
d been an example in the manual I wouldn't have made the<br>mistake, so the=
 attached patch improves this manual page:<br><a href=3D"https://guix=2Egnu=
=2Eorg/en/manual/en/html_node/User-Accounts=2Ehtml#User-Accounts">https://g=
uix=2Egnu=2Eorg/en/manual/en/html_node/User-Accounts=2Ehtml#User-Accounts</=
a><br><br>/Simon<br></pre></blockquote></div></body></html>
------XNKCSNY3MCJZ3POR7PBZDFM4ZWQFZI--




Information forwarded to guix-patches@HIDDEN:
bug#60320; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Dec 2022 21:19:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 25 16:19:09 2022
Received: from localhost ([127.0.0.1]:50189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p9YOj-0002Ih-I1
	for submit <at> debbugs.gnu.org; Sun, 25 Dec 2022 16:19:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:47148)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simon@HIDDEN>) id 1p9YOg-0002IY-RS
 for submit <at> debbugs.gnu.org; Sun, 25 Dec 2022 16:19:08 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <simon@HIDDEN>)
 id 1p9YOg-0004fm-Ma
 for guix-patches@HIDDEN; Sun, 25 Dec 2022 16:19:06 -0500
Received: from uggla.sjd.se ([2001:9b1:8633::107])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <simon@HIDDEN>)
 id 1p9YOe-0004ZH-Nl
 for guix-patches@HIDDEN; Sun, 25 Dec 2022 16:19:06 -0500
DKIM-Signature: v=1; a=ed25519-sha256; q=dns/txt; c=relaxed/relaxed;
 d=josefsson.org; s=ed2110; h=Content-Type:MIME-Version:Message-ID:Date:
 Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:
 Content-Description; bh=A3WT1frlGSTEFm7iennAi2PNdK0MegAAk9xwdJbAdIY=;
 t=1672003142; x=1673212742; b=LPN0WTalKPBEpqEjGvFI0rHmu7XbBHdsqAuc2quqvap+QMk
 zV76yPx55jacc15VnuLAr7u10yOcSIJEtXWP8Dw==;
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=josefsson.org; s=rsa2110; h=Content-Type:MIME-Version:Message-ID:Date:
 Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:
 Content-Description; bh=A3WT1frlGSTEFm7iennAi2PNdK0MegAAk9xwdJbAdIY=;
 t=1672003142; x=1673212742; b=gjmUnC01RHg6SWks7SnkWQ/HDX5HSu/ETTfmXo/Q9AQE0oO
 roBMAdPEp/WiL+dcICKyDGTR9cN7jPu4n9k0mv0E0RZNUi4KKEoDjdHi5a7tB6w8NgZJ6q75q/5sP
 IgBMwi4aWrSB/Qo3dOXHMkbjf4NHLwB8q9VmfMSWDnBoCF40eSRPy+7LX0yZ/yeiA4Msh4+LNrBq6
 XwuIjBBWRTQ0YW2BnLsYVaP/6uOJoNyvtWA5C9E2x3jN3yPOZVGpHQi92bAxjYHJe3/i7HrYqOQJv
 2+R+hwoSoqA9/5+ND5EkSI1V7SLBL2D4ZA/R5RphMYXprnqlgR5EMrCi6VURzf2XArWoWohsX3sHZ
 C2Xf/pnQ358TxHI2MC4rMa8OUE2liAQh4aiwk8ejSuf1qsmOtA9bpoWBgBRu1vpeWBKT8ST0ZF618
 rRYGsx6PdaNLyxg6Xj24OMQk;
Received: from [2001:9b1:41ac:ff00:67bf:136:16d3:4a37] (port=58126 helo=kaka)
 by uggla.sjd.se with esmtpsa (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94.2)
 (envelope-from <simon@HIDDEN>) id 1p9YOa-002oxN-Qe
 for guix-patches@HIDDEN; Sun, 25 Dec 2022 22:19:00 +0100
X-Hashcash: 1:22:221225:guix-patches@HIDDEN::2gvKjh48Cd6Ehfte:IN64
From: Simon Josefsson <simon@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] doc: Improve user-group documentation.
OpenPGP: id=B1D2BD1375BECB784CF4F8C4D73CF638C53C06BE;
 url=https://josefsson.org/key-20190320.txt
Date: Sun, 25 Dec 2022 22:19:00 +0100
Message-ID: <871qonmbaz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2001:9b1:8633::107;
 envelope-from=simon@HIDDEN; helo=uggla.sjd.se
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain

Hi.

Not knowing better I added this to my operating-system form:

  (groups (cons* (user-group
                  (name "jas")
                  (id "1000"))
                %base-groups))

Running 'guix system reconfigure /etc/config.scm' worked fine, and upon
boot I was placed in group 30001.  Any idea what happened?  A warning
would have been nice.

If there had been an example in the manual I wouldn't have made the
mistake, so the attached patch improves this manual page:
https://guix.gnu.org/en/manual/en/html_node/User-Accounts.html#User-Accounts

/Simon

--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-doc-Improve-user-group-documentation.patch
Content-Transfer-Encoding: quoted-printable

From=206b7464c2820fd5f8b570f78e6e79752bc47ceaf8 Mon Sep 17 00:00:00 2001
From: Simon Josefsson <simon@HIDDEN>
Date: Sun, 25 Dec 2022 22:04:42 +0100
Subject: [PATCH] doc: Improve user-group documentation.

* doc/guix.texi (User Accounts): Add user-group form and modify user-group
text and examples to use it.
=2D--
 doc/guix.texi | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index c5ae350a47..79475915ec 100644
=2D-- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -17165,8 +17165,8 @@ select the file system in an elegant fashion!
 @cindex accounts
 @cindex user accounts
 User accounts and groups are entirely managed through the
=2D@code{operating-system} declaration.  They are specified with the
=2D@code{user-account} and @code{user-group} forms:
+@code{operating-system} declaration.  Users are specified with the
+@code{user-account} form:
=20
 @lisp
 (user-account
@@ -17179,13 +17179,23 @@ User accounts and groups are entirely managed thr=
ough the
   (comment "Bob's sister"))
 @end lisp
=20
=2DHere's a user account that uses a different shell and a custom home
=2Ddirectory (the default would be @file{"/home/bob"}):
+Groups are specified with the @code{user-group} form:
+
+@lisp
+(user-group
+  (name "bob")
+  (id 1000))
+  %base-groups))
+@end lisp
+
+Here's a user account that uses a different shell, a custom home
+directory (the default would be @file{"/home/bob"}) and uses the
+@code{bob} group instead of the traditional @code{users}.
=20
 @lisp
 (user-account
   (name "bob")
=2D  (group "users")
+  (group "bob")
   (comment "Alice's bro")
   (shell (file-append zsh "/bin/zsh"))
   (home-directory "/home/robert"))
=2D-=20
2.38.1


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIoEARYIADIWIQSjzJyHC50xCrrUzy9RcisI/kdFogUCY6i+RBQcc2ltb25Aam9z
ZWZzc29uLm9yZwAKCRBRcisI/kdFohXxAQDYPDgAMEvLsdMSxT0r5hMX4Nk7nj2U
q+1627aWekc+yAEA1UD26fMqtbI5Hx2o9amWUd1Ng+Qb9LHLT1LimwKh6Qg=
=uu0Z
-----END PGP SIGNATURE-----
--==-=-=--




Acknowledgement sent to Simon Josefsson <simon@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60320; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 31 Jan 2023 22:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.